part of 'generated.dart';

class DeleteTeamHudDepartmentVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteTeamHudDepartmentVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteTeamHudDepartmentData> dataDeserializer = (dynamic json)  => DeleteTeamHudDepartmentData.fromJson(jsonDecode(json));
  Serializer<DeleteTeamHudDepartmentVariables> varsSerializer = (DeleteTeamHudDepartmentVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteTeamHudDepartmentData, DeleteTeamHudDepartmentVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteTeamHudDepartmentData, DeleteTeamHudDepartmentVariables> ref() {
    DeleteTeamHudDepartmentVariables vars= DeleteTeamHudDepartmentVariables(id: id,);
    return _dataConnect.mutation("deleteTeamHudDepartment", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteTeamHudDepartmentTeamHudDepartmentDelete {
  final String id;
  DeleteTeamHudDepartmentTeamHudDepartmentDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHudDepartmentTeamHudDepartmentDelete otherTyped = other as DeleteTeamHudDepartmentTeamHudDepartmentDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamHudDepartmentTeamHudDepartmentDelete({
    required this.id,
  });
}

@immutable
class DeleteTeamHudDepartmentData {
  final DeleteTeamHudDepartmentTeamHudDepartmentDelete? teamHudDepartment_delete;
  DeleteTeamHudDepartmentData.fromJson(dynamic json):
  
  teamHudDepartment_delete = json['teamHudDepartment_delete'] == null ? null : DeleteTeamHudDepartmentTeamHudDepartmentDelete.fromJson(json['teamHudDepartment_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHudDepartmentData otherTyped = other as DeleteTeamHudDepartmentData;
    return teamHudDepartment_delete == otherTyped.teamHudDepartment_delete;
    
  }
  @override
  int get hashCode => teamHudDepartment_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (teamHudDepartment_delete != null) {
      json['teamHudDepartment_delete'] = teamHudDepartment_delete!.toJson();
    }
    return json;
  }

  DeleteTeamHudDepartmentData({
    this.teamHudDepartment_delete,
  });
}

@immutable
class DeleteTeamHudDepartmentVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteTeamHudDepartmentVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTeamHudDepartmentVariables otherTyped = other as DeleteTeamHudDepartmentVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTeamHudDepartmentVariables({
    required this.id,
  });
}

